From 3cf1890f89b2462b9373ca82c6f065ac38293ced Mon Sep 17 00:00:00 2001
From: Aleksander Alekseev <afiskon@gmail.com>
Date: Tue, 11 Apr 2023 18:18:44 +0000
Subject: [PATCH v1] Use role name "system_user" instead of "user" for
 unsafe_tests

This choice has a less likely chance to have a collision with an OS user
name.

Aleksander Alekseev, reviewed by TODO FIXME
Discussion: TODO FIXME
---
 src/test/modules/unsafe_tests/expected/rolenames.out | 4 ++--
 src/test/modules/unsafe_tests/sql/rolenames.sql      | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/src/test/modules/unsafe_tests/expected/rolenames.out b/src/test/modules/unsafe_tests/expected/rolenames.out
index 61396b2a80..4989f0530b 100644
--- a/src/test/modules/unsafe_tests/expected/rolenames.out
+++ b/src/test/modules/unsafe_tests/expected/rolenames.out
@@ -52,7 +52,7 @@ CREATE ROLE "None";
 CREATE ROLE "current_role";
 CREATE ROLE "current_user";
 CREATE ROLE "session_user";
-CREATE ROLE "user";
+CREATE ROLE "system_user";
 RESET client_min_messages;
 CREATE ROLE current_user; -- error
 ERROR:  CURRENT_USER cannot be used as a role name here
@@ -1088,5 +1088,5 @@ REVOKE pg_read_all_settings FROM regress_role_haspriv;
 DROP SCHEMA test_roles_schema;
 DROP OWNED BY regress_testrol0, "Public", "current_role", "current_user", regress_testrol1, regress_testrol2, regress_testrolx CASCADE;
 DROP ROLE regress_testrol0, regress_testrol1, regress_testrol2, regress_testrolx;
-DROP ROLE "Public", "None", "current_role", "current_user", "session_user", "user";
+DROP ROLE "Public", "None", "current_role", "current_user", "session_user", "system_user";
 DROP ROLE regress_role_haspriv, regress_role_nopriv;
diff --git a/src/test/modules/unsafe_tests/sql/rolenames.sql b/src/test/modules/unsafe_tests/sql/rolenames.sql
index adac36536d..372a4a6e17 100644
--- a/src/test/modules/unsafe_tests/sql/rolenames.sql
+++ b/src/test/modules/unsafe_tests/sql/rolenames.sql
@@ -56,7 +56,7 @@ CREATE ROLE "None";
 CREATE ROLE "current_role";
 CREATE ROLE "current_user";
 CREATE ROLE "session_user";
-CREATE ROLE "user";
+CREATE ROLE "system_user";
 
 RESET client_min_messages;
 
@@ -500,5 +500,5 @@ REVOKE pg_read_all_settings FROM regress_role_haspriv;
 DROP SCHEMA test_roles_schema;
 DROP OWNED BY regress_testrol0, "Public", "current_role", "current_user", regress_testrol1, regress_testrol2, regress_testrolx CASCADE;
 DROP ROLE regress_testrol0, regress_testrol1, regress_testrol2, regress_testrolx;
-DROP ROLE "Public", "None", "current_role", "current_user", "session_user", "user";
+DROP ROLE "Public", "None", "current_role", "current_user", "session_user", "system_user";
 DROP ROLE regress_role_haspriv, regress_role_nopriv;
-- 
2.40.0

